Loading...
Searching...
No Matches
svn_wc_external_item2_t Struct Reference
Working copy management » Externals

One external item. More...

`#include <svn_wc.h>`

## Data Fields

const char * | target_dir
| The name of the subdirectory into which this external should be checked out.
const char * | url
| Where to check out from.
svn_opt_revision_t | revision
| What revision to check out.
svn_opt_revision_t | peg_revision
| The peg revision to use when checking out.

## Detailed Description

One external item.

This usually represents one line from an svn:externals description but with the path and URL canonicalized.

In order to avoid backwards compatibility problems clients should use svn_wc_external_item2_create() to allocate and initialize this structure instead of doing so themselves.

Since
  New in 1.5.

Definition at line 789 of file svn_wc.h.

## Field Documentation

## peg_revision

svn_opt_revision_t svn_wc_external_item2_t::peg_revision

The peg revision to use when checking out.

The only valid kinds are svn_opt_revision_number, svn_opt_revision_date, and svn_opt_revision_head.

Definition at line 810 of file svn_wc.h.

## revision

svn_opt_revision_t svn_wc_external_item2_t::revision

What revision to check out.

The only valid kinds for this are svn_opt_revision_number, svn_opt_revision_date, and svn_opt_revision_head.

Definition at line 805 of file svn_wc.h.

## target_dir

const char* svn_wc_external_item2_t::target_dir

The name of the subdirectory into which this external should be checked out.

This is relative to the parent directory that holds this external item. (Note that these structs are often stored in hash tables with the target dirs as keys, so this field will often be redundant.)

Definition at line 796 of file svn_wc.h.

## url

const char* svn_wc_external_item2_t::url

Where to check out from.

This is possibly a relative external URL, as allowed in externals definitions, but without the peg revision.

Definition at line 800 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h